"""Fix prohibited and ean code

Revision ID: 23c217aa76e4
Revises: 3653d069036d
Create Date: 2024-11-26 18:16:51.198242

"""
from typing import Sequence, Union

from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import mysql

# revision identifiers, used by Alembic.
revision: str = '23c217aa76e4'
down_revision: Union[str, None] = '3653d069036d'
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('products', sa.Column('ean_code', sa.Text(), nullable=True))
    op.alter_column('users', 'reset_token',
               existing_type=mysql.DECIMAL(precision=20, scale=6),
               type_=sa.Text(),
               existing_nullable=True)
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column('users', 'reset_token',
               existing_type=sa.Text(),
               type_=mysql.DECIMAL(precision=20, scale=6),
               existing_nullable=True)
    op.drop_column('products', 'ean_code')
    # ### end Alembic commands ###
